html {
  font-size: 12px;
}

@media (min-width: 768px) {
  html {
    font-size: 14px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.nav-link:hover {
    color: black !important;
    border-bottom: 2px solid black;
}

.navbar-brand:hover {
    color: black !important;
    border-bottom: 2px solid black;
}

.dropdown-item:hover{
    color: black !important;
    border-bottom: 2px solid black;
}

.carousel-item img {
    width: 100%;
    height: 300px;
    object-fit: fill;
}

.marquee-container {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.marquee-content {
    display: inline-block;
    white-space: nowrap;
    color: #fff;
    font-size: 18px;
    font-weight: 900;
    text-shadow: 1px 1px 4px rgba(0,0,0,0.4);
    will-change: transform;
}

/* NEW animation (no delay start) */
@keyframes scroll-left {
    from {
        transform: translateX(0); /* start visible */
    }

    to {
        transform: translateX(-50%);
    }
}

/* Pause on hover */
.marquee-container:hover .marquee-content {
    animation-play-state: paused;
}

.vertical-container {
    height: 200px;
    overflow: hidden;
    position: relative;
}

.vertical-content {
    display: block;
    color: #000;
}

/* Each notice */
.notice-item {
    padding: 5px 0;
}

/* Vertical animation */
@keyframes scroll-up {
    from {
        transform: translateY(0); /* start visible */
    }

    to {
        transform: translateY(-50%);
    }
}

/* Pause on hover */
.vertical-container:hover .vertical-content {
    animation-play-state: paused;
}
